library(ggplot2)
library(tidyr)
library(dplyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J4111=read.csv2("PT4-T4.1-J4.1.11.csv",header=TRUE, encoding ="UTF-8")
names(J4111)=gsub("\\.", " ", names(J4111))
J4111=filter(J4111, Vastus!="N/A")
J4111[2]=as.numeric(J4111$`Pole kasutanud`)
J4111[3]=as.numeric(J4111$Halb)
J4111[4]=as.numeric(J4111$Rahuldav)
J4111=pivot_longer(J4111,2:5)
J4111$value=as.numeric(J4111$value)
J4111$Vastus=as.factor(J4111$Vastus)
J4111$Vastus=factor(J4111$Vastus, levels(J4111$Vastus)[order(c(3,4,5,1,2))])
J4111$name=as.factor(J4111$name)
J4111$name=factor(J4111$name, levels(J4111$name)[order(c(2,4,1,3))])


#joonis
ggplot(J4111)+
  geom_col(aes(x=name,y=value,fill=Vastus))+
  theme_minimal()+
  coord_flip()+
  theme(axis.text.x = element_text(angle = 90))+
  facet_grid(Sugu~.)+
  scale_fill_manual(values=rev(c("#6666cc","#81DBFE","#668080","#f09d00","#bf6900")))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"),legend.position = "top")+
  theme(strip.text.y=element_text(color="#668080"))+
  xlab("")+
  ylab("%")+
  theme(legend.title = element_blank())+
  guides(fill = guide_legend(nrow=5,byrow = TRUE))








